%define m17n_db_version 1.5.0

Name:      m17n-contrib
Summary:   Contributed input methods for m17n library
Version:   1.1.14
Release:   %mkrel 11
Group:     System/Internationalization
License:   LGPLv2+
URL:       https://savannah.nongnu.org/projects/m17n
Source0:   https://download.savannah.gnu.org/releases/m17n/%{name}-%{version}.tar.gz
Requires:        m17n-db >= %{m17n_db_version}
BuildRequires:   pkgconfig(m17n-db) >= %{m17n_db_version}
BuildArch:	noarch

%description
Contributed input methods for m17n library.

%prep
%setup -q

%build
%configure --build=%{_host}
%make_build

%install
%make_install

# The file conflicts with m17n-data
rm -f $RPM_BUILD_ROOT%{_datadir}/m17n/bn-itrans.mim

%{find_lang} %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%{_datadir}/m17n/*.mim
%{_datadir}/m17n/icons/*
%{_datadir}/m17n/scripts/*


%changelog
* Thu Mar 24 2022 umeabot <umeabot> 1.1.14-11.mga9
+ Revision: 1824160
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 1.1.14-10.mga8
+ Revision: 1490918
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Sep 18 2018 umeabot <umeabot> 1.1.14-9.mga7
+ Revision: 1262688
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Fri Feb 05 2016 umeabot <umeabot> 1.1.14-8.mga6
+ Revision: 937475
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.1.14-7.mga6
+ Revision: 937028
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.14-6.mga5
+ Revision: 745157
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 1.1.14-5.mga5
+ Revision: 725107
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.14-4.mga5
+ Revision: 682111
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.14-3.mga4
+ Revision: 507648
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1.14-2.mga3
+ Revision: 359235
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 fwang <fwang> 1.1.14-1.mga3
+ Revision: 307516
- new version 1.1.14

* Tue Oct 11 2011 fwang <fwang> 1.1.13-1.mga2
+ Revision: 153790
- new version 1.1.13

* Fri Mar 18 2011 tv <tv> 1.1.12-1.mga1
+ Revision: 73865
- imported package m17n-contrib


* Mon Oct 04 2010 Funda Wang <fwang@mandriva.org> 1.1.12-1mdv2011.0
+ Revision: 582860
- 1.1.2 final

* Thu Sep 23 2010 Funda Wang <fwang@mandriva.org> 1.1.12-0.RC.1mdv2011.0
+ Revision: 580651
- 1.1.12 RC

* Wed Mar 31 2010 Funda Wang <fwang@mandriva.org> 1.1.11-1mdv2010.1
+ Revision: 530293
- update to new version 1.1.11

* Wed Jul 29 2009 Funda Wang <fwang@mandriva.org> 1.1.10-1mdv2010.0
+ Revision: 402889
- New version 1.1.10

* Sat Mar 14 2009 Funda Wang <fwang@mandriva.org> 1.1.9-2mdv2009.1
+ Revision: 355013
- should be a noarch package
- update to new version 1.1.9

* Tue Oct 21 2008 Funda Wang <fwang@mandriva.org> 1.1.8-1mdv2009.1
+ Revision: 295991
- New version 1.1.8

* Tue Jul 08 2008 Funda Wang <fwang@mandriva.org> 1.1.7-1mdv2009.0
+ Revision: 232839
- New version 1.1.7

* Wed Feb 13 2008 Funda Wang <fwang@mandriva.org> 1.1.6-1mdv2008.1
+ Revision: 167083
- add back buildroot
- revert noarch, as our build system does not like it
- New version 1.1.6
- It should be noarch pacakge

  + Thierry Vignaud <tv@mandriva.org>
    - fix bogus requires, thus making it installable

* Fri Dec 28 2007 Funda Wang <fwang@mandriva.org> 1.1.5-1mdv2008.1
+ Revision: 138860
- New version 1.1.5

* Fri Dec 28 2007 Funda Wang <fwang@mandriva.org> 1.1.3-1mdv2008.1
+ Revision: 138763
- New version 1.1.4

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jul 24 2007 Funda Wang <fwang@mandriva.org> 1.1.3-1mdv2008.0
+ Revision: 54906
- do not own /usr/share/m17n dir
- fix file list
- New verison to fix building from source
- New version

* Thu Jul 05 2007 Thierry Vignaud <tv@mandriva.org> 1.1.1-1mdv2008.0
+ Revision: 48501
- from UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
  o new release
  o remove patch0


* Tue Jan 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.1.0-1mdv2007.0
+ Revision: 106776
- add patch
- new release

* Wed Oct 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.0-1.20061013.1mdv2007.1
+ Revision: 66018
- Import m17n-contrib

* Sat Oct 14 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.0-1.20061013.1mdv2007.0
- first spec for Mandriva

